Subject: [Speechsc] INTERMEDIATE-RECOG-RESULT

From: Ran Zilca <[email-masked]>
Date: Mon, 11 Oct 2004 15:01:36 -0400

Hi all,

There was some correspondence going on some time ago about the possibility
of adding a INTERMEDIATE-RECOG-RESULT method to the recognition resource. I
enclosed what I have of this correspomdence below.

There is a corresponding method for the verification resource, and there
seems to be enough justification to have the same method for recognition. I
realize that this sparks up some issues wrt transcription etc. However, in
a finite state grammar system there could be plenty of scenarios where it
will be useful for the application to get the intermediate text without
waiting for the user to finish speaking. It seems to me that the v2 spec
may not be complete without it. This could be an optional method.

Any thoughts anyone?

Thanks,

-- Ran.

-----Original Message-----
From: Jeff Kusnitz [mailto:[email-masked]]
Sent: Freitag, 16. April 2004 20:29
To: Reifenrath, Klaus
Cc: [email-masked]'; [email-masked]
Subject: Re: [Speechsc] INTERMEDIATE-RECOG-RESULT

It certainly seems reasonable.  I assume the body of the
INTERMEDIATE-RECOG-RESULT message would contain the intermediate results
in NLSML (or EMMA) format?

Klaus wrote on 04/15/2004 02:10:52 AM:

> The mail of Ran Zilca on intermediate results for SV/SI reminded me of
one
> of the open questions (see minutes of last WG meeting):
> Do we need an INTERMEDIATE-RECOG-RESULT?
>
> Intermediate results for ASR make sense as well.
> Imagine a multimodal application where the caller can fill several input
> fields: after
> the recognizer recognized valid input for the first slot, the recognized
> value could be visualized, as soon the recognizer recognized input for
> another slot, this slot can be filled on the screen as well and so on.
> Another use case for intermediate results would be e-mail/SMS dictation.
>
> Therefore I suggest to add an optional INTERMEDIATE-RECOG-RESULT event
to
> the speech recognizer resource.
>
> Klaus
>
>
>
> _______________________________________________
> Speechsc mailing list
> [email-masked]
 > https://www1.ietf.org/mailman/listinfo/speechsc

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc